Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002254TestLinkTest Executepublic2009-03-20 02:152010-05-01 20:35
Reporterwnjoroge 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.9 Beta 2 
Summary0002254: [Execute Tests] Issues when trying to execute tests just shows the circular icon and nothing happens
DescriptionI downloaded and setup new TestLink RC5. When I try to run test cases is just shows a processing symbol and after checking the event viewer I


see --19/03/2009 12:05:21 WARNING E_NOTICE Undefined index: childNodes - in /var/www/html/testlink/lib/functions/treeMenu.inc.php - Line 932 admin
19/03/2009 12:05:11 AUDIT Custom field 'PD' was created admin
19/03/2009 12:04:46 AUDIT Login for 'admin' from '172.31.104.163' succeeded


Please assist or let me know if you need more information. thanks
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserfirefox
PHP VersionPHP 5.2.6 (cli) (built: Sep 13 2008 11:13:29)
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon spinning.bmp [^] (320,036 bytes) 2009-03-20 23:04

- Relationships

-  Notes
(0005922)
fman (administrator)
2009-03-20 17:05

Please give detailed steps to reproduce
(0005927)
wnjoroge (reporter)
2009-03-20 23:04

Steps.
1. login http://...../testlink/index.php [^]
2. admin/admin
3. click -- Execute Tests
4. see uploaded file under "Filter & Settings" just shows some spinning icon
(0005928)
fman (administrator)
2009-03-21 00:22

do you have created a test plan ?
does this test plan have any test case assigned ?

thanks
(0005932)
aksinghv (reporter)
2009-03-21 12:39

Hi,

I am getting above issue with the latest sync from cvs. TestLink shows version as TestLink 1.0 (Dev). I am syncing following:
CVSROOT=:pserver:anonymous@testlink.cvs.sourceforge.net:/cvsroot/testlink
my command is:
cvs -q -z6 update -d -p testlink

Testlink is showing spinning icon for all other users who have test cases assigned. It does not show for the user "admin" as this user does not have any testcases assigned.

When i redirect the Testlink to TL1.8.0, i do not observe the behaviour.

Let me know if you need more information.

Regards,
Anjani Singh
(0005934)
fman (administrator)
2009-03-21 19:12

ok, but please REPORT RIGHT TL VERSION.
CVS head is unstable => we can have code that still is on development

Anyway you have not giving requestd info on note 5928 => please give this info
(0005935)
aksinghv (reporter)
2009-03-21 20:01

I already have a testplan created and testcases were assigned to the testers.

As i have mentioned, I am not facing the issue with TL 1.8.0.

I am only facing this issue, if i use the CVS head then i am facing.

Regards,
Anjani Singh
(0005949)
wnjoroge (reporter)
2009-03-23 22:14

do you have created a test plan ? YES
does this test plan have any test case assigned ? YES

thanks
(0006001)
aksinghv (reporter)
2009-03-26 09:53

Hi,

Today morning, I updated the TL with the HEAD. TestLink shows TestLink 1.9.0 (Dev).

I have logged in as admin and when i click on execution, i see no test cases as none are assigned to admin. I do not see the spinning icon. It displays the counters.

Now, when i select any other users in the "assigned to" in "Filters and Settings", then i see the folder icon. Please find the eventlog after this:
26/03/2009 02:40:55 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 249 admin
26/03/2009 02:40:55 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 242 admin
26/03/2009 02:40:55 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 455 admin
26/03/2009 02:40:55 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 435 admin
26/03/2009 02:40:55 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 560 admin
26/03/2009 02:40:55 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 557 admin
26/03/2009 02:40:55 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\functions\exec.inc.php - Line 44 admin
26/03/2009 02:40:51 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 179 admin
26/03/2009 02:40:51 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 177 admin
26/03/2009 02:40:51 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 116 admin
26/03/2009 02:40:51 WARNING E_NOTICE Undefined index: all - in C:\tl\testlink\lib\execute\execNavigator.php - Line 114 admin
26/03/2009 02:39:55 AUDIT User 'admin' deleted all events admin




Now, I again clear the event log so that we get fresh output after clicking on the plus sign besides folder icon, the spinning icon is displayed. I do not see any event log generated.

26/03/2009 02:42:52 AUDIT User 'admin' deleted all events admin



I hope above helps you.

If you want i can create this as a new incident as it is happening in 1.9.0 (Dev). Let me know so that i can create the incident.



Regards,
Anjani Singh

- Issue History
Date Modified Username Field Change
2009-03-20 02:15 wnjoroge New Issue
2009-03-20 02:15 wnjoroge Browser => firefox
2009-03-20 02:15 wnjoroge PHP Version => PHP 5.2.6 (cli) (built: Sep 13 2008 11:13:29)
2009-03-20 17:05 fman Note Added: 0005922
2009-03-20 17:05 fman Status new => feedback
2009-03-20 23:04 wnjoroge Note Added: 0005927
2009-03-20 23:04 wnjoroge File Added: spinning.bmp
2009-03-21 00:22 fman Note Added: 0005928
2009-03-21 12:39 aksinghv Note Added: 0005932
2009-03-21 19:12 fman Note Added: 0005934
2009-03-21 19:12 fman Status feedback => assigned
2009-03-21 19:12 fman Assigned To => fman
2009-03-21 19:12 fman Status assigned => feedback
2009-03-21 20:01 aksinghv Note Added: 0005935
2009-03-23 22:14 wnjoroge Note Added: 0005949
2009-03-26 09:53 aksinghv Note Added: 0006001
2009-09-10 22:51 fman Status feedback => resolved
2009-09-10 22:51 fman Fixed in Version => 1.9 (DEV)
2009-09-10 22:51 fman Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker